module abs

#(
	parameter WIDTH = 16
	//parameter DEC
)

(
	// Input Ports
	input [WIDTH-1:0] number,

	// Output Ports
	output reg [WIDTH-1:0] result

);

always@(*)
begin
	if (number[WIDTH-1]==1'b0)
		result = number;
	else
		result = ~(number)+1'b1;
end


endmodule
